MSAFE(5)

NAME
msafe - a macro package for a safer troff

SYNOPSIS
troff -msafe [-m name []] [ options []] [ files []]

DESCRIPTION
The MSAFE macro package removes the definitions of the troff requests and from memory. The [-msafe] option should be used as the first macro option on the troff command line, before any other macro package and before any files are processed.

Any document file obtained from a questionable or unreliable source may contain troff requests that make use of the UNIX system(3) call, thereby posing a security risk on that system. If a document formatted with [-msafe] contains any calls to the and requests, those requests will be treated as an unrecognized macro calls and will be ignored.

The MSAFE package does not interpret any macros, requests, or escapes.

FILES

SEE ALSO
troff(1)